Bug 61802 - Security bug: read-only users can manipulate tags
Summary: Security bug: read-only users can manipulate tags
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: cvs (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-24 19:39 UTC by Jordan Russell
Modified: 2007-04-18 16:41 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-18 16:47:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jordan Russell 2002-03-24 19:39:17 UTC
See the post here:

http://groups.google.com/groups?hl=en&selm=fa.eaen1uv.fgs9oi%40ifi.uio.no

And the patch here:

http://groups.google.com/groups?hl=en&selm=fa.ecet3ev.cgm88j%40ifi.uio.no

The latest cvs package - cvs-1.11.1p1-7.i386.rpm - is affected by this problem.


How reproducible:
Always


Steps to Reproduce:
- Set up a CVS pserver
- Create a "writers" file in CVSROOT
- Log in with a user name not listed in "writers"
- Notice that you can create tags, even though you should only have read-only 
access

Comment 1 Peter Bowen 2002-07-23 15:01:29 UTC
This seems like a really bad bug for people who depend on cvs tags and have
public anoncvs.  Is this serious enough to warrant an errata?

Comment 2 Alan Cox 2002-12-18 16:47:52 UTC
Its in 7.3


Note You need to log in before you can comment on or make changes to this bug.